KTextEditor::View Class Referenceabstract

`#include <view.h>`

Inherits QWidget, and KXMLGUIClient.

## Public Member Functions

| View (class Document *, QWidget *parent, const char *name=0)
unsigned int | viewNumber () const
QCString | viewDCOPSuffix () const
virtual class Document * | document () const =0

## Friends

class | PrivateView

## Detailed Description

The View class represents a single view of a Document .

Definition at line 32 of file view.h.

## Constructor & Destructor Documentation

View::View | ( | class Document * | ,
|  | QWidget * | parent,
|  | const char * | name = `0`
| ) |  |

Create a new view to the given document.

The document must be non-null.

Definition at line 132 of file ktexteditor.cpp.

## Member Function Documentation

virtual class Document* KTextEditor::View::document | ( |  | ) | const

pure virtual

Acess the parent Document.

QCString View::viewDCOPSuffix | ( |  | ) | const

Returns the DCOP suffix to allow identification of this view's DCOP interface.

Definition at line 147 of file ktexteditor.cpp.

unsigned int View::viewNumber | ( |  | ) | const

Returns the number of this view.

Definition at line 142 of file ktexteditor.cpp.

The documentation for this class was generated from the following files:

- view.h
- ktexteditor.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys